local ADDON_NAME, MFAC = ... -- luacheck: ignore
local UI = MFAC.UI

local options_button_coords = {}
local order_by_button_coords = {}

if (WOW_PROJECT_ID == WOW_PROJECT_CLASSIC) then


	options_button_coords.x = -34
	options_button_coords.y = -36
	order_by_button_coords.x = 73
	order_by_button_coords.y = -34
else

	options_button_coords.x = -20
	options_button_coords.y = -20
	order_by_button_coords.x = 55
	order_by_button_coords.y = -20
end

function MFAC.build_rep_frame_widgets()

	UI.options_button = CreateFrame("Button", nil, ReputationFrame, "UIPanelButtonTemplate")
	UI.options_button:SetPoint("TOPRIGHT", ReputationFrame, "TOPRIGHT", options_button_coords.x, options_button_coords.y)
	UI.options_button:SetSize(80, 20)
	UI.options_button:SetText(FIZ_TXT.options)
	UI.options_button:SetScript("OnClick", function(_self, _button, _down)
		if(UI.ReputationOptionsFrame:IsVisible()) then
			PlaySound(SOUNDKIT.IG_MAINMENU_OPTION_CHECKBOX_OFF);
			UI.ReputationOptionsFrame:Hide();
		else
			PlaySound(SOUNDKIT.IG_MAINMENU_OPTION_CHECKBOX_ON);
			UI.ReputationDetailFrame:Hide();
			UI.ReputationOptionsFrame:Show();
		end

	end)
	UI.options_button:SetScript("OnEnter", function(self, _button, _down)
		FIZ_ShowHelpToolTip(self, "FIZ_OptionsButton")
	end)
	UI.options_button:SetScript("OnLeave", function(_self, _button, _down)
		GameTooltip:Hide();
	end)



	local MFAC_SortDropDownMenu = CreateFrame("Frame", "Omen_TitleDropDownMenu")
	MFAC_SortDropDownMenu.displayMode = "MENU"
	local info = {}
	MFAC_SortDropDownMenu.initialize = function(_self, level)
		if not level then return end
		wipe(info)
		if level == 1 then
			info.isTitle = 1
			info.text = "Group By"
			info.notCheckable = 1
			UIDropDownMenu_AddButton(info, level)

			info.disabled, info.isTitle, info.notCheckable = nil, nil, nil

			info.text = "Expansion"
			info.func = function()
				MFAC_Data.RepGroupBy = MFAC.RepGroupByOptions.Expansion;
				PlaySound(SOUNDKIT.IG_MAINMENU_OPTION_CHECKBOX_ON);
				ReputationFrame_Update();
				print("Expansion")
			end
			info.checked = (MFAC_Data.RepGroupBy == MFAC.RepGroupByOptions.Expansion)
			UIDropDownMenu_AddButton(info, level)

			info.text = "Standing"
			info.func = function()
				MFAC_Data.RepGroupBy = MFAC.RepGroupByOptions.Standing;
				PlaySound(SOUNDKIT.IG_MAINMENU_OPTION_CHECKBOX_ON);
				ReputationFrame_Update();
				print("Standing")
			end
			info.checked = (MFAC_Data.RepGroupBy == MFAC.RepGroupByOptions.Standing)
			UIDropDownMenu_AddButton(info, level)

			-- UIDropDownMenu_AddButton({disabled = 1}, level)
			-- info.isTitle = 1
			-- info.text = "Sort By"
			-- info.notCheckable = 1
			-- UIDropDownMenu_AddButton(info, level)

			-- info.disabled, info.isTitle, info.notCheckable = nil, nil, nil

			-- info.text = "None"
			-- info.func = function()
			-- 	print("None")
			-- end
			-- info.checked = nil
			-- UIDropDownMenu_AddButton(info, level)

			-- info.text = "Standing"
			-- info.func = function()
			-- 	print("Standing")
			-- end
			-- info.checked = nil
			-- UIDropDownMenu_AddButton(info, level)



			UIDropDownMenu_AddButton({disabled = 1}, level)
			-- Close menu item
			info.text         = CLOSE
			info.func         = function() CloseDropDownMenus() end
			info.checked      = nil
			info.notCheckable = 1
			UIDropDownMenu_AddButton(info, level)
		end
	end

	local show_sort_menu_button = CreateFrame("Button", "ShowMFACSort", ReputationFrame, "SmallFontButton");
	show_sort_menu_button:SetText("Sort Mode");
	show_sort_menu_button:SetSize(80, 20);
	show_sort_menu_button:SetPoint("TOPLEFT", ReputationFrame, "TOPLEFT", order_by_button_coords.x, order_by_button_coords.y)

	-- Other code for the title's width/height/dragging to move Omen etc
	show_sort_menu_button:SetScript("OnClick", function(self, _button, _down)
			ToggleDropDownMenu(1, nil, MFAC_SortDropDownMenu, self:GetName(), 0, 0)
	end)
	show_sort_menu_button:RegisterForClicks("AnyUp")

	--To Do: add tooltip to new Sort button
	-- UI.order_by_standing_checkbox:SetScript("OnEnter", function(self, _button, _down)
	-- 	FIZ_ShowHelpToolTip(self, "FIZ_OrderByStandingCheckBox")
	-- end)
	-- UI.order_by_standing_checkbox:SetScript("OnLeave", function(_self, _button, _down)
	-- 	GameTooltip:Hide();
	-- end)

end
