-- luacheck: globals MUFFIN_WHATS_NEW_QUEUE
local ADDON_NAME, MFAC = ... -- Pulls back the Addon-Local Variables and store them locally.

local WHATSNEW_TEXT

if (WOW_PROJECT_ID == WOW_PROJECT_CLASSIC) then
WHATSNEW_TEXT = "" ..
[[
 - Fixed unknown map spam when logging in
 - TOC bump
 - Some of the reputation data (how to earn it) is still from Retail
 - Order by Status isn't available yet
 - Go to MuffinManGames.com to report any issues or for information on my Patreon
]] .. "|n"

else
WHATSNEW_TEXT = "" ..
[[
 - Fix: When not showing "missing rep", progress hover was broken
 - Shadowlands fixes
 - Go to MuffinManGames.com to report any issues or for information on my Patreon
]] .. "|n"

end


local DEBUG_SHOW = false

function MFAC.show_whats_new()

	local this_version = GetAddOnMetadata(ADDON_NAME, "Version")

	if((this_version ~= MFAC_Data.whatsnew_version) or DEBUG_SHOW) then
		MFAC_Data.whatsnew_version = this_version

		local q_entry = {}
		q_entry.addon_name = ADDON_NAME
		q_entry.addon_version = this_version
		q_entry.body_text = WHATSNEW_TEXT

		MUFFIN_WHATS_NEW_QUEUE.AddEntry(q_entry)

		MUFFIN_WHATS_NEW_QUEUE.Show()
	end

end
